Results 1 to 2 of 2
  1. #1
    Installing the GNU Linker in Leopard

    Member Since
    Jul 20, 2008
    Posts
    1
    Question Installing the GNU Linker in Leopard
    Hi, is it possible to install GNU ld in Leopard? I downloaded the GNU binutils-2.18 but couldn't install it. And I'm not comfortable with the linker that Leopard provides.

    Thanks

  2. #2
    tux08902
    Guest
    MacPorts might have them, although I didn't know that Darwin used the BSD linker. Neither FreeBSD, NetBSD, or OpenBSD use the BSD linker. They use the standard GNU binutils along with GCC. I don't think it'd be as simple as downloading binutils and installing though because the Darwin build system is heavily tweaked, so I'd say binutils would actually require certain modifications to work on Darwin. The question remains whether somebody has actually made those modifications. The places to look are pkgsrc, MacPorts, Fink, and possibly Gentoo-Portage. If pkgsrc doesn't have binutils for Darwin, then I doubt the other three do.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Linker Command Failed Error, Please Help
    By Loon3y in forum iOS Development
    Replies: 2
    Last Post: 09-26-2012, 07:28 PM
  2. Linker Error Building OpenCV
    By Timo116 in forum OS X - Development and Darwin
    Replies: 0
    Last Post: 07-26-2012, 01:39 PM
  3. Help with GNU ddrescue in Terminal
    By demonbabies in forum Switcher Hangout
    Replies: 12
    Last Post: 10-28-2011, 04:56 AM
  4. Replies: 6
    Last Post: 01-02-2011, 05:15 PM
  5. The linker cannot find the libraries (do they exist?)
    By pietrom in forum OS X - Development and Darwin
    Replies: 5
    Last Post: 11-07-2009, 09:04 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •